#include <game-activity/GameActivity.cpp>
#include <game-text-input/gametextinput.cpp>
extern "C" {
#include <game-activity/native_app_glue/android_native_app_glue.c>
}

extern "C" { void android_main(struct android_app* app); }

#include "NativeEngine.h"

void android_main(struct android_app* app) {
    auto* engine = new NativeEngine(app);
    engine->gameLoop();
    delete engine;
}